Bug 1130371 - [RFE][heat]: Enable listing of nested stacks
Summary: [RFE][heat]: Enable listing of nested stacks
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-heat
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ga
: 6.0 (Juno)
Assignee: Zane Bitter
QA Contact: Amit Ugol
URL: https://blueprints.launchpad.net/heat...
Whiteboard: upstream_milestone_juno-3 upstream_de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 04:03 UTC by RHOS Integration
Modified: 2016-04-26 20:53 UTC (History)
6 users (show)

Fixed In Version: openstack-heat-2014.2.1-5.el7ost
Doc Type: Enhancement
Doc Text:
With this release, the "heat stack list" command now provides a "--show-nested" option that includes any nested stacks in the output. Normally, only stacks created directly by the user appear in the list and nested stacks are omitted.
Clone Of:
Environment:
Last Closed: 2015-02-09 20:05:06 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-08-15 04:03:06 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/heat/+spec/list-nested.

Description:

It would be useful to allow optional listing of all stacks, including nested stacks, such that heatclient could offer an option such as heat stack-list --nested.  If we also return the owner_id (e.g the parent stack ID for the nested stacks), heatclient could also build a forest/tree view which shows at a glance what a complex nested hierarchy looks like.

Specification URL (additional information):

None

Comment 2 Scott Lewis 2015-02-09 20:05:06 UTC
This bug has been closed as a part of the RHEL-OSP 6 general availability release. For details, see https://rhn.redhat.com/errata/rhel7-rhos-6-errata.html


Note You need to log in before you can comment on or make changes to this bug.